import request from "@/utils/request";
// 填报人员-新增
export function userInsert(data) {
  return request({
    url: "/admin/safeThings/user/insert",
    method: "post",
    data,
  });
}
// 填报人员-列表分页
export function userGetPageList(data) {
  return request({
    url: "/admin/safeThings/user/getPageList",
    method: "post",
    data,
  });
}
// 填报人员-删除
export function userDelete(safeThingsUserId) {
  return request({
    url: "/admin/safeThings/user/delete",
    method: "get",
    params:{safeThingsUserId},
  });
}
// 填报人员-修改密码
export function updatePassword(data) {
  return request({
    url: "/admin/safeThings/user/updatePassword",
    method: "post",
    data,
  });
}

// 事件类型-新增
export function typeInsert(data) {
  return request({
    url: "/admin//safeThings/type/insert",
    method: "post",
    data,
  });
}
// 事件类型-列表分页
export function typeGetPageList(data) {
  return request({
    url: "/admin//safeThings/type/getPageList",
    method: "post",
    data,
  });
}
// 事件类型-删除
export function typeDelete(safeThingsTypeId) {
  return request({
    url: "/admin/safeThings/type/delete",
    method: "get",
    params:{safeThingsTypeId},
  });
}
// 查询地点-新增
export function addressInsert(data) {
  return request({
    url: "/admin//safeThings/address/insert",
    method: "post",
    data,
  });
}
// 查询地点-列表分页
export function addressgetPageList(data) {
  return request({
    url: "/admin//safeThings/address/getPageList",
    method: "post",
    data,
  });
}
// 查询地点-删除
export function addressDelete(safeThingsAddressId) {
  return request({
    url: "/admin/safeThings/address/delete",
    method: "get",
    params:{safeThingsAddressId},
  });
}
// 安全事件-列表分页
export function safeThingsGetPageList(data) {
  return request({
    url: "/admin/safeThings/getPageList",
    method: "post",
    data,
  });
}
// 安全事件-获取事件类型列表
export function getSafeThingsTypeList() {
  return request({
    url: "/admin/safeThings/getSafeThingsTypeList",
    method: "get",
    params:{},
  });
}
// 安全事件-账号列表
export function getAdminListVoList() {
  return request({
    url: "/admin/safeThings/getAdminListVoList",
    method: "get",
    params:{},
  });
}
// 安全事件处理流程
export function safeThingsStreamList(safeThingsId) {
  return request({
    url: "/admin/safeThings/safeThingsStreamList",
    method: "get",
    params:{safeThingsId},
  });
}
// 安全事件-excel导出
export function excelOut(data) {
  return request({
    url: "/admin/safeThings/excelOut",
    method: "post",
    responseType: 'blob',
    data,
  });
}
